#include <RemoteSwitch.h>

int sendPin = 2;      // Pin an welchem der 433MHz Sender 
                      // angeschlossen ist.
int period  = 362;    // Übertragungsgeschwindigkeit

void setup() {
  // Sende Pin auf Ausgangschalten und Bibliothek
  // einrichten.
  RemoteSwitch::RemoteSwitch(sendPin, period, 8);
}

void SendCode(unsigned long code, int period) {
  // Datenformat:
  // pppppppp|prrrdddd|dddddddd|dddddddd (32 bit)
  // p = Geschwindigkeit (9 bit unsigned int
  // r = Wiederholungen als 2log. r = 3 bedeutet 2^3=8 mal senden.
  // d = Code
  
  code |= (unsigned long)period << 23; 
  code |= 3L << 20;      // 3L = 8 mal wiederholen
                         // 4L = 16 mal wiederholen
  RemoteSwitch::sendTelegram(code,sendPin);
}

void loop() 
{
  // Steckdose A1 an
  SendCode(24,362);  
  delay(5000);    // 5 Sekunden warten
  // Steckdose A1 aus  
  SendCode(26,362);  
  delay(5000);    // 5 Sekunden warten
  
}
