#include <RemoteSwitch.h>

int anzahlSteckdosen = 3;

unsigned long steckdosen[][2] = {
  {26,24},            // Steckdose 1 (an/aus)
  {4400,4398},        // Steckdose 2 (an/aus)
  {1484,1482}         // Steckdose 3 (an/aus)
};  

int sendPin = 2;      // Pin an welchem der 433MHz Sender 
// angeschlossen ist.
int period  = 362;    // Übertragungsgeschwindigkeit

void setup() {
  // Sende Pin auf Ausgangschalten und Bibliothek
  // einrichten.
  RemoteSwitch::RemoteSwitch(sendPin, period, 8);
}

void SendCode(unsigned long code, int period) {
  // Datenformat:
  // pppppppp|prrrdddd|dddddddd|dddddddd (32 bit)
  // p = Geschwindigkeit (9 bit unsigned int
  // r = Wiederholungen als 2log. r = 3 bedeutet 2^3=8 mal senden.
  // d = Code

  code |= (unsigned long)period << 23; 
  code |= 3L << 20;      // 3L = 8 mal wiederholen
  // 4L = 16 mal wiederholen
  RemoteSwitch::sendTelegram(code,sendPin);
}

void loop() {
  // zufällig eine Steckdose auswählen.
  int steckdose = random(anzahlSteckdosen);
  // zufällig entweder an oder aus senden.
  int aktion    = random(2);  
  SendCode(steckdosen[steckdose][aktion],period);
  // 15 Minuten warten
  for (int i = 0; i < 15; i++) {
    delay(60*1000); // 1 Minute warten
  }
}



