#include <DmxSimple.h>

const int AnzahlScheinwerfer = 4;    
int color[AnzahlScheinwerfer+1][3];
int update = 0;

void setup() {
  DmxSimple.usePin(3);	// Hier muss der Pin angegeben werden an welchem das DMX
  //  Interface angeschlossen ist. Meistens ist das PIN3.

  // Beim Start, alle Scheinwerfer aus.
  for(int i = 0; i <= AnzahlScheinwerfer; i++) {
    color[i][0] = 0;    // Rot
    color[i][1] = 0;    // Gruen
    color[i][2] = 0;    // Blau
  }
}


void loop() {
  // Immer wenn update = 0 ist, denken wir uns eine neue Farbe aus.
  if (update == 0) {
    color[0][0] = random(0,256);    // Rot
    color[0][1] = random(0,256);    // Gruen
    color[0][2] = random(0,256);    // Blau
  }

  // Beim letzen Scheinwerfer anfangen und jeweils die Farbe leicht an
  // den Vorgänger angleichen, dadurch fliessen die Farben durch die 
  // Scheinwerfer Reihe
  for(int i = AnzahlScheinwerfer; i > 0; i--) {
    // Farbberechnung getrennt für rot,grün,blau durchführen.
    // jeweils 63 Teile alte Farbe + 1 Teil neue Farbe (vom nächst 
    // kleineren Nachbarn) geteilt durch 64 als neue Farbe annehmen.
    color[i][0] = (63*color[i][0] + color[i-1][0])/64;    // Rot
    color[i][1] = (63*color[i][1] + color[i-1][1])/64;    // Gruen
    color[i][2] = (63*color[i][2] + color[i-1][2])/64;    // Blau
    DmxSimple.write(i*6+0, color[i][0]); // Setze DMX Kanal rot
    DmxSimple.write(i*6+1, color[i][1]); // Setze DMX Kanal gruen
    DmxSimple.write(i*6+2, color[i][2]); // Setze DMX Kanal blau
  }  

  // Zähler erhöhen, damit wir nach 10sec eine neue Farbe setzen
  update++;
  if (update > 100) update = 0;

  delay(100); // ein wenig warten, damit es nicht zu schnell wird.
}




